Index: CMakeLists.txt
===================================================================
--- CMakeLists.txt	(revision 9619)
+++ CMakeLists.txt	(arbetskopia)
@@ -515,6 +515,20 @@
 endif(OPTION_USE_XINERAMA)
 
 #######################################################################
+if(X11_Xfixes_FOUND)
+   option(OPTION_USE_XFIXES "use lib XFIXES" ON)
+endif(X11_Xfixes_FOUND)
+
+if(OPTION_USE_XFIXES)
+   set(HAVE_XFIXES ${X11_Xfixes_FOUND})
+   include_directories(${X11_Xfixes_INCLUDE_PATH})
+   list(APPEND FLTK_LDLIBS -lXfixes)
+   set(FLTK_XFIXES_FOUND TRUE)
+else()
+   set(FLTK_XFIXES_FOUND FALSE)
+endif(OPTION_USE_XFIXES)
+
+#######################################################################
 if(X11_Xft_FOUND)
    option(OPTION_USE_XFT "use lib Xft" ON)
 endif(X11_Xft_FOUND)
Index: test/CMakeLists.txt
===================================================================
--- test/CMakeLists.txt	(revision 9619)
+++ test/CMakeLists.txt	(arbetskopia)
@@ -45,6 +45,10 @@
       target_link_libraries(${NAME} ${X11_Xinerama_LIB})
    endif(HAVE_XINERAMA)
 
+   if(HAVE_XFIXES)
+      target_link_libraries(${NAME} ${X11_Xfixes_LIB})
+   endif(HAVE_XFIXES)
+
    install(TARGETS ${NAME}
       DESTINATION ${PREFIX_DOC}/examples
       )
Index: fluid/CMakeLists.txt
===================================================================
--- fluid/CMakeLists.txt	(revision 9619)
+++ fluid/CMakeLists.txt	(arbetskopia)
@@ -42,6 +42,10 @@
    target_link_libraries(fluid ${X11_Xinerama_LIB})
 endif(HAVE_XINERAMA)
 
+if(HAVE_XFIXES)
+   target_link_libraries(fluid ${X11_Xfixes_LIB})
+endif(HAVE_XFIXES)
+
 install(TARGETS fluid
    EXPORT fltk-install
    DESTINATION ${PREFIX_BIN}
Index: configh.cmake.in
===================================================================
--- configh.cmake.in	(revision 9619)
+++ configh.cmake.in	(arbetskopia)
@@ -108,6 +108,22 @@
 #define USE_XDBE HAVE_XDBE
 
 /*
+ * HAVE_XFIXES:
+ *
+ * Do we have the X fixes extension?
+ */
+
+#define HAVE_XFIXES 0
+
+/*
+ * HAVE_XCURSOR:
+ *
+ * Do we have the X cursor library?
+ */
+
+#define HAVE_XCURSOR 0
+
+/*
  * __APPLE_QUARTZ__:
  *
  * If __APPLE_QUARTZ__ is defined, FLTK will be
